<?php
/*
================================
Kõikide internetioksjonite
kuvamine avalehel
Järjestus: peagi lõppevad eespool
=================================
*/
$page = isset($_GET['page']) ? $_GET['page'] : 1;

$records_per_page = 12;
$from_record_num = ($records_per_page * $page) - $records_per_page;

include_once ROOT.'db/dbconfig.php';
include_once ROOT.'admin/objects/oksjon.class.php';
include_once ROOT.'admin/objects/pilt.class.php';

$database = new Database();
$db = $database->dbConnection();

$oksjon = new Oksjon($db);
$image = new Pilt($db);

if($kategooria != ''){
    include_once ROOT.'admin/objects/kategooria.class.php';
    $kat = new Kategooria($db);
    $kat->id = $kategooria;
    $esemeteArvKategoorias = $kat->esemeteArv();
    $stmt = $oksjon->readAllCat($page, $from_record_num, $records_per_page, $kategooria);
} else {
    $stmt = $oksjon->readAktiivsed($page, $from_record_num, $records_per_page);
}

$num = $stmt->rowCount();

if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $oksjoni_id = $id;
        $stmt_img = $image->readOne($oksjoni_id);
        if(mb_strlen($nimi)>17){
            $nime_thumbnail = mb_substr($nimi, 0, 15)."...";
        } else {
            $nime_thumbnail = $nimi;
        }

        echo "<div class='col-sm-3'><div class='thumbnail'>";

        $row_img = $stmt_img->fetch(PDO::FETCH_ASSOC);
        extract($row_img);
        echo "<img src='".HTTP."admin/img/{$oksjoni_id}/thumbnail_{$nimi}' alt=''>";
        echo "<div class='caption'>";
        extract($row);
        echo "<center><h4><a href='internetioksjon/oksjon.php?id={$id}'>{$nime_thumbnail}";
        echo "</a></h4><h4>{$hetkehind}€</h4>";
        echo "

        <a href='internetioksjon/oksjon.php?id={$id}' class='btn btn-info'>Kuva oksjon</a>
        ";
        echo "</div></div></div>";
    }
}
else{
    echo "<center><h4>Aktiivseid oksjoneid ei leitud.</h4></center>";
}
?>